% Attach to the target PC file system.
f=xpctarget.fs;

% Open the file, read the data, close the file.
h=fopen(f,'c:\step2.dat');
data=fread(f,h);
fclose(f,h);

% Unpack the data.
x=readxpcfile(data);

% Plot 1 second of the data.
figure(1); 
subplot(4,1,1), plot(x.data(:,9),x.data(:,1:2));
set(gca,'XLim',[0.01 2.5]);  grid on;
xlabel('time [sec]'); ylabel('xd [mm]');
subplot(4,1,2), plot(x.data(:,9),x.data(:,3:4));
set(gca,'XLim',[0.01 2.5]); grid on;
xlabel('time [sec]'); ylabel('th [deg]');
subplot(4,1,3), plot(x.data(:,9),x.data(:,5:6));
set(gca,'XLim',[0.01 2.5]); grid on;
xlabel('time [sec]'); ylabel('err [deg]');
subplot(4,1,4), plot(x.data(:,9),x.data(:,7:8));
set(gca,'XLim',[0.01 2.5]); grid on;
xlabel('time [sec]'); ylabel('DA [V]');